Skip to main content
GET
/
v1
/
earnings
Query earnings calendar
curl --request GET \
  --url https://api.ivory.finance/v1/earnings \
  --header 'X-API-Key: <api-key>'
[
  {
    "accession_number": "<string>",
    "cik": "<string>",
    "company_name": "<string>",
    "ticker": "<string>",
    "form_type": "<string>",
    "filed_at": "2023-11-07T05:31:56Z",
    "acceptance_datetime": "2023-11-07T05:31:56Z",
    "market_session": "<string>",
    "fiscal_year": 123,
    "fiscal_quarter": "<string>",
    "fiscal_period_end": "2023-12-25",
    "earnings_date": "2023-12-25",
    "earnings_time": "<string>",
    "earnings_summary": "<string>",
    "s3_source_path": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

ticker
string | null

Ticker symbol, e.g. AAPL

cik
string | null

10-digit CIK

from_date
string<date> | null

Earliest earnings date (inclusive)

to_date
string<date> | null

Latest earnings date (inclusive)

market_session
string | null

BMO or AMC

fiscal_quarter
string | null

Q1, Q2, Q3, Q4, or FY

limit
integer
default:50
Required range: 1 <= x <= 500

Response

Successful Response

accession_number
string | null
cik
string | null
company_name
string | null
ticker
string | null
form_type
string | null
filed_at
string<date-time> | null
acceptance_datetime
string<date-time> | null
market_session
string | null
fiscal_year
integer | null
fiscal_quarter
string | null
fiscal_period_end
string<date> | null
earnings_date
string<date> | null
earnings_time
string | null
earnings_summary
string | null
s3_source_path
string | null